package utils

import "slices"

func StringSliceFilterOut(slice []string, values ...string) []string {
	out := make([]string, 0, len(slice))

	for _, s := range slice {
		if !slices.Contains(values, s) {
			out = append(out, s)
		}
	}

	return out
}
